%define __kde4_alternate_placement 1

%add_findpackage_path %__kde4_bindir
%add_findreq_skiplist %_K4apps/cmake/modules*.py

%define major 4
%define minor 3
%define bugfix 4
%define rname kdelibs
Name: kde4libs
Version: %major.%minor.%bugfix
Release: alt0.M51.1
%define conflictver %major.%minor.%bugfix-alt0.0.1
%define conflictver_lite %major.%minor-alt0.0.1
%define conflictver_kdevelop 3.4.1-alt0.0.1

Group: System/Libraries
Summary: K Desktop Environment 4 - Libraries
Url: http://www.kde.org/
License: LGPLv2/BSD/GFDL

Requires: kde-common >= %major.%minor
PreReq: altlinux-menus >= 0.3.0-alt1
Requires: ca-certificates shared-mime-info
Requires: %{get_dep libqt4-core}
Requires: libsoprano >= %{get_version libsoprano}
Requires: libstrigi >= %{get_version libstrigi}

Conflicts: koffice-core = 1.9.98.3
# Conflicts for old KDE
Conflicts: kde4-i18n-de < %conflictver kde4-i18n-fr < %conflictver kde4-i18n-he < %conflictver
Conflicts: kde4-i18n-et < %conflictver kde4-i18n-ru < %conflictver kde4-i18n-uk < %conflictver
Conflicts: kde4-i18n-tt < %conflictver kde4-i18n-kk < %conflictver kde4-i18n-pt_BR < %conflictver
Conflicts: kdevelop-common < %conflictver_kdevelop
Conflicts: kde4accessibility-common < %conflictver
Conflicts: kde4addons-common < %conflictver
Conflicts: kde4admin-common < %conflictver
Conflicts: kde4artwork-common < %conflictver
Conflicts: kde4base-common < %conflictver kde4base-common < %version
Conflicts: kde4base-runtime < %conflictver
Conflicts: kde4base-runtime-common < %conflictver
Conflicts: kde4base-workspace-common < %conflictver
Conflicts: kde4bindings-common < %conflictver
Conflicts: kde4devplatform-common < %conflictver
Conflicts: kde4edu-common < %conflictver
Conflicts: kde4games-common < %conflictver
Conflicts: kde4graphics-common < %conflictver
Conflicts: kde4multimedia-common < %conflictver
Conflicts: kde4network-common < %conflictver
Conflicts: kde4pimlibs-common < %conflictver
Conflicts: kde4pimlibs < %conflictver
Conflicts: kde4pim-common < %conflictver
Conflicts: kde4plasma-addons-common < %conflictver
Conflicts: kde4toys-common < %conflictver
Conflicts: kde4utils-common < %conflictver
Conflicts: kde4sdk-common < %conflictver
Conflicts: kde4webdev-common < %conflictver
#Conflicts: kde4-konqueror-plugins-common < %conflictver_lite


Source: %rname-%version.tar

# RH
Patch102: kdelibs-4.2.96-parallel_devel.patch
# MDK
# upstream

# ALT
Patch1000: kdelibs-4.1.96-alt-xdg-dirs.patch
Patch1001: kdelibs-4.0.72-alt-custom-kdedir.patch
Patch1002: kdelibs-4.1.96-alt-exists_ext.patch
Patch1003: kdelibs-4.3.0-alt-applications.menu.patch
Patch1004: kdelibs-4.0.0-alt-libexec-install-dir.patch
Patch1005: kdelibs-4.2.2-alt-def-http-slave.patch
Patch1006: kdelibs-4.1.0-alt-libssl-name.patch
Patch1007: kdelibs-4.0.0-alt-su-close-pty.patch
Patch1008: kdelibs-4.0.0-alt-show-distribution.patch
Patch1009: kdelibs-4.0.71-alt-find-ruby.patch
Patch1010: kdelibs-4.1.0-alt-kderoothome.patch
Patch1011: kdelibs-4.1.1-alt-find-automoc.patch
Patch1012: kdelibs-4.1.2-alt-mark-user-edited.patch
Patch1013: kdelibs-4.2.96-alt-places-add-docs.patch
Patch1014: kdelibs-4.2.2-alt-find-usb.patch
Patch1015: kdelibs-4.3.0-alt-resources-order.patch
Patch1016: kdelibs-4.3.0-alt-initial-preference.patch
Patch1017: kdelibs-4.3.0-alt-def-plasma.patch
Patch1018: kdelibs-4.3.0-alt-def-fonts.patch

Patch3000: kdelibs-4.0.0-alt-alternate-kconf_update_bin-path.patch

# security

BuildRequires(pre): kde-common-devel libqt4-devel libsoprano-devel libstrigi-devel
BuildRequires: bzlib-devel cmake xorg-x11-devel libalsa-devel libaspell-devel
BuildRequires: libavahi-devel libenchant-devel libjasper-devel libjpeg-devel
BuildRequires: libungif-devel libxslt-devel liblzma-devel
BuildRequires: openexr-devel libkrb5-devel
BuildRequires: graphviz gcc-c++ libpcre-devel shared-mime-info
BuildRequires: xml-utils libutempter-devel phonon-devel automoc
BuildRequires: libacl-devel libattr-devel
BuildRequires: kde-common-devel >= %major.%minor
BuildRequires: libqt4-devel >= 4.4 libsoprano-devel >= 2.1 libstrigi-devel >= 0.5.9

%description
Libraries for the K Desktop Environment 4.

%package devel
Group: Development/KDE and QT
Summary: Header files for compiling KDE 4 applications
Requires: cmake libqt4-devel kde-common-devel >= %major.%minor
Requires: libstrigi-devel libsoprano-devel libpcre-devel libungif-devel xml-utils
Requires: libutempter-devel bzlib-devel phonon-devel automoc

%description devel
This package includes the header files you will need to compile
applications for KDE 4.

%prep
%setup -q -n %rname-%version

%patch102 -p1

%patch1000 -p1
%patch1001 -p1
%patch1002 -p1
%patch1003 -p1
%patch1004 -p1
%patch1005 -p1
%patch1006 -p1
%patch1007 -p1
%patch1008 -p1
%patch1009 -p1
%patch1010 -p1
#%patch1011 -p1
%patch1012 -p1
%patch1013 -p1
#%patch1014 -p1
#%patch1015 -p1
%patch1016 -p1
%patch1017 -p1
%patch1018 -p1

%patch3000 -p1

# CA certificates bundle
#pushd kio/kssl/kssl
#echo "%_datadir/ca-certificates/ca-bundle.crt" >localcerts
#./mergelocal
#popd


%build
#export CMAKE_LIBRARY_PATH=%_libdir
#define _K4buildtype Debug
%K4cmake \
    -DPCRE_INCLUDE_DIR=%_includedir/pcre \
    -DWITH_FAM:BOOL=OFF \
    -DKDE_DISTRIBUTION_TEXT="%distribution %_target_cpu" \
    -DKDE_DEFAULT_HOME:STRING=".kde4"

%K4make

# FIXME
#doc/api/doxygen.sh --doxdatadir=doc/common .


%install
%K4install

# move menu
mkdir -p %buildroot/%_sysconfdir/kde4/xdg/menus/applications-merged/
mv %buildroot/%_sysconfdir/kde4/xdg/menus/applications.menu %buildroot/%_sysconfdir/kde4/xdg/menus/applications-merged/

%ifdef __kde4_alternate_placement
mkdir -p %buildroot/%_K4bindir/
pushd %buildroot/%__kde4_bindir
for f in *4
do
    ln -sf `relative %buildroot/%__kde4_bindir/$f %buildroot/%_K4bindir/$f` %buildroot/%_K4bindir/$f
done
popd
ln -sf `relative %buildroot/%__kde4_bindir/kde4-config %buildroot/%_K4bindir/kde4-config` %buildroot/%_K4bindir/kde4-config
%endif

# CA certificates bundle 2
#[ -f %buildroot/%_K4apps/kssl/ca-bundle.crt ] || exit 1
#ln -sf `relative %buildroot/%_datadir/ca-certificates/ca-bundle.crt %buildroot/%_K4apps/kssl/ca-bundle.crt` %buildroot/%_K4apps/kssl/ca-bundle.crt


%files
%doc AUTHORS README TODO
#%_man1dir/*
%_man7dir/*
%_man8dir/*
#
#%config(noreplace) %_sysconfdir/profile.d/*
%config %_K4sysconfdir/kde4/xdg/menus/applications-merged/applications.menu
#
%_K4bindir/*
%exclude %_K4bindir/kconfig_compiler4
%exclude %_K4bindir/makekdewidgets4
%ifdef __kde4_alternate_placement
%__kde4_bindir/*
%exclude %__kde4_bindir/kconfig_compiler4
%exclude %__kde4_bindir/makekdewidgets4
%endif
%_K4exec/*
%_K4apps/*
%exclude %_K4apps/LICENSES/
%exclude %_K4apps/cmake/
%exclude %_K4apps/kdewidgets/
%exclude %_K4datadir/apps/ksgmltools2/
%_K4conf/*
%_K4dbus_interfaces/*
%_K4xdg_mime/*
%_K4srv/*
%_K4srvtyp/*
%__kde4_iconsdir/hicolor/*/actions/presence_*
%_K4i18n/all_languages
%__kde4_doc/en/*
%_K4libdir/lib*.so.*
%_K4libdir/libkdeinit4_*.so
%_K4lib/*.so*
%_K4plug/script/*.so*
%_K4plug/imageformats/*.so*
#%_K4conf_bin/phonon_devicepreference_update
#%_K4conf_bin/phonon_devicepreference_update
#%_K4plug/phonon_platform/*.so*

%files devel
%doc KDE4PORTING.html
%_K4bindir/kconfig_compiler4
%_K4bindir/makekdewidgets4
%ifdef __kde4_alternate_placement
%__kde4_bindir/kconfig_compiler4
%__kde4_bindir/makekdewidgets4
%endif
%_K4link/lib*.so
%exclude %_K4libdir/libkdeinit4_*.so
%dir %_K4plug/designer/
%_K4plug/designer/*.so*
%_K4apps/cmake/
%_K4apps/ksgmltools2/
%_K4apps/kdewidgets/
%_K4includedir/*

%changelog
* Tue Dec 15 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt0.M51.1
- built for M51

* Mon Nov 30 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt1
- new version

* Mon Nov 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt0.M51.1
- built for M51

* Fri Oct 30 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt1
- new version

* Fri Oct 23 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.2-alt3
- fix find new SSL libraries

* Thu Oct 15 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.2-alt2
- fix browser invocation with multiple arguments (ALT#21950)

* Wed Oct 07 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.2-alt1
- new version

* Thu Sep 24 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt2
- build with LZMA/XZ compression support

* Mon Aug 31 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt1
- new version

* Mon Aug 17 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt4
- set default fonts

* Tue Aug 11 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt3
- set default desktop plugin

* Mon Aug 10 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt2
- add X-KDE4-InitialPreference support

* Tue Aug 04 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt1
- 4.3.0

* Wed Jul 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.98-alt1
- 4.2.98

* Wed Jul 15 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.96-alt1
- 4.2.96

* Tue Jun 30 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt2.M50.1
- built for M50

* Mon Jun 29 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt3
- CVE-2009-0945, CVE-2009-1690 (ALT#20633)

* Tue Jun 23 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt2
- rebuilt

* Mon Jun 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt0.M50.1
- built for M50

* Fri Jun 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt1
- new version

* Mon May 18 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.3-alt2
- rebuilt with new %%_K4link

* Mon May 04 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.3-alt1
- new version

* Fri Apr 17 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt3
- send language info in http header by default
- add some upstream fixes

* Tue Apr 07 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt2
- add upstream fixes for kio and plasma

* Thu Apr 02 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt1
- new version

* Wed Mar 25 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.1-alt3
- built whith new Qt

* Mon Mar 16 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.1-alt2
- add ~/Documents folder to default places

* Mon Mar 02 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.1-alt1
- new version

* Fri Feb 06 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt3
- fix to build with libacl

* Thu Feb 05 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt2
- built with libacl

* Wed Jan 28 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt1
- new version

* Tue Jan 13 2009 Sergey V Turchin <zerg at altlinux dot org> 4.1.96-alt1
- new version

* Mon Jan 12 2009 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt2
- apply patch to remove -l option for su execution via kdesu (#18483)
- remove deprecated macroses from specfile

* Thu Nov 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Wed Oct 08 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- new version

* Mon Sep 15 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt3
- fix to find emoticons

* Mon Sep 08 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt2
- rebuilt with new kde-common-devel

* Mon Sep 01 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt1
- new version

* Tue Aug 26 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt2
- fix xdg data dirs search order

* Wed Jul 30 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt1
- new version

* Tue May 27 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.80-alt1
- 4.1 beta1

* Sun May 04 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.72-alt1
- new version

* Sun May 04 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.71-alt1
- new version

* Tue Apr 01 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt1
- new version

* Wed Mar 19 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt3
- move adding search for kde link directory to system rpm macros

* Tue Mar 11 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt2
- rebuilt with Qt4 buildkey change

* Thu Mar 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt1
- new version

* Thu Feb 28 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt9
- add libutempter-devel to requires for devel subpackage

* Wed Feb 27 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt8
- rebuilt with new openexr

* Tue Feb 19 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt7
- update requires for devel subpackage

* Tue Feb 19 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt6
- built with libutempter

* Fri Feb 15 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt5
- fix conflicts

* Fri Feb 15 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt4
- use %%K4cmake

* Fri Feb 15 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt3
- move kconfig_compiler4 makekdewidgets4 symlinks to -devel package

* Thu Feb 14 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt2
- fix FindRUBY.cmake

* Wed Feb 13 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt1
- built for ALT
